Автор Тема: qBittorrent / Не запускается [решено]  (Прочитано 2451 раз)

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 011
    • Email
Всем привет!

Simply Linux 8.2.0 x64 Sisyphus

Состояние системы:
1246 будет обновлено, 49 новых установлено, 1 пакетов будет заменено, 2 пакетов будет удалено и 1 не будет обновлено.
Необходимо получить 1377MB архивов.
После распаковки потребуется дополнительно 172MB дискового пространства.
Продолжить? [Y/n] n
Прервано.

В общем обновлять всю систему через dist-upgrade не хочу.
Ставил недавно Merkaartor, он потребовал ряд библиотек для обновления, после этого, по крайней мере мне так кажется, перестал включаться qBittorrent:
$ qbittorrent
Cannot mix incompatible Qt library (version 0x50b03) with this library (version 0x50c02)


*************************************************************
Please file a bug report at http://bug.qbittorrent.org and provide the following information:

qBittorrent version: v4.1.5

Caught signal: SIGABRT
Stack trace:
  /lib64/libc.so.6 : gsignal()+0x10b  [0x7f66ea9bd7ab]
  /lib64/libc.so.6 : abort()+0x121  [0x7f66ea9a8515]
  /usr/lib64/libQt5Core.so.5 : ()+0x85859  [0x7f66eaf7c859]
  /usr/lib64/libQt5Core.so.5 : ()+0x9831f  [0x7f66eaf8f31f]
  /usr/lib64/libQt5Svg.so.5 : QSvgRenderer::QSvgRenderer(QString const&, QObject*)+0x2d  [0x7f66d8d341cd]
  /usr/lib64/qt5/plugins/iconengines/libqsvgicon.so : ()+0x57b1  [0x7f66d80d87b1]
  /usr/lib64/qt5/plugins/iconengines/libqsvgicon.so : ()+0x387c  [0x7f66d80d687c]
  /usr/lib64/libQt5Gui.so.5 : ()+0x19a9c4  [0x7f66eb8379c4]
  /usr/lib64/libQt5Gui.so.5 : QIcon::addFile(QString const&, QSize const&, QIcon::Mode, QIcon::State)+0x131  [0x7f66eb83c451]
  /usr/lib64/libQt5Gui.so.5 : QIcon::QIcon(QString const&)+0x26  [0x7f66eb83c5e6]
  qbittorrent : MainWindow::MainWindow(QWidget*)+0x21b  [0x649e8b]
  qbittorrent : Application::exec(QStringList const&)+0x1df  [0x52a92f]
  qbittorrent : main()+0x358  [0x51a118]
  /lib64/libc.so.6 : __libc_start_main()+0xeb  [0x7f66ea9aa08b]
  qbittorrent : _start()+0x2a  [0x5252da]
Аварийный останов

Это просто что-то в библиотеках поменялось и теперь qBittorrent просто так падает или может нужно что-то обновить ещё дополнительно, но без dist-upgrade ?
А то может баг стоит повесить...
« Последнее редактирование: 16.04.2019 17:34:50 от berkut_174 »
Сноси Винду, переходи на Линукс ! :)

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 011
    • Email
Re: qBittorrent / Не запускается
« Ответ #1 : 16.04.2019 17:07:55 »
Вот как было при установке Merkaartor:
grass-7.4.4-alt1 sisyphus.219038.40 1547044176 removed
grass-7.6.1-alt1 sisyphus+225897.24.9.2 1554157325 installed
libgrass-7.4.4-alt1 sisyphus.219038.40 1547044176 removed
libgrass-7.6.1-alt1 sisyphus+225897.24.9.2 1554157325 installed
libproj-4.8.0-alt1 1334767626 removed
libproj-5.2.0-alt1 sisyphus+221643.100.9.2 1550496674 installed
libqt5-concurrent-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-core-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-core-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-dbus-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-dbus-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-eglfsdeviceintegration-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-eglfsdeviceintegration-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-eglfskmssupport-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-eglfskmssupport-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-gui-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-gui-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-network-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-network-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-opengl-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-opengl-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-printsupport-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-printsupport-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-sql-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-sql-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-test-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-test-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-widgets-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-widgets-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-xcbqpa-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-xcbqpa-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqt5-xml-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
libqt5-xml-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
libqtsingleapplication-qt5-2.6.1-alt3 sisyphus+222636.100.1.1 1550955546 installed
libshape-1.4.1-alt1.S1 1526367985 removed
libshape-1.4.1-alt2 sisyphus+221643.200.9.2 1550496753 installed
libspatialite-4.3.0a-alt1 1521671368 removed
libspatialite-4.3.0a-alt2 sisyphus+221643.600.9.2 1550499772 installed
merkaartor-0.18.3-alt3 sisyphus+225891.100.1.1 1553870771 installed
qgis-2.18.27-alt2 sisyphus.219038.200 1547045873 removed
qgis-2.18.28-alt1 sisyphus+225897.100.9.2 1554158818 installed
qgis-grass-2.18.27-alt2 sisyphus.219038.200 1547045873 removed
qgis-grass-2.18.28-alt1 sisyphus+225897.100.9.2 1554158818 installed
qgis-python-2.18.27-alt2 sisyphus.219038.200 1547045873 removed
qgis-python-2.18.28-alt1 sisyphus+225897.100.9.2 1554158818 installed
qt5-base-common-5.11.3-alt1 sisyphus.217836.100 1545040569 removed
qt5-base-common-5.12.2-alt1 sisyphus+225014.40.4.3 1553012000 installed
Сноси Винду, переходи на Линукс ! :)

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 011
    • Email
Re: qBittorrent / Не запускается
« Ответ #2 : 16.04.2019 17:10:47 »
Ага, ещё и VirtualBox туда же:
$ virtualbox
Qt FATAL: Cannot mix incompatible Qt library (version 0x50b03) with this library (version 0x50c02)
Аварийный останов

Похоже всё-таки какой-то баг в Qt-шных библиотеках.
Сноси Винду, переходи на Линукс ! :)

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 179
  • ненужная строка
    • Найдётся всё
Re: qBittorrent / Не запускается
« Ответ #3 : 16.04.2019 17:15:11 »
Qt FATAL: Cannot mix incompatible Qt library (version 0x50b03) with this library (version 0x50c02)
dist-upgrade
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 011
    • Email
Re: qBittorrent / Не запускается
« Ответ #4 : 16.04.2019 17:34:22 »
dist-upgrade
Сделал downgrade, dist-upgrade пока потерпит :)
Спасибо!

[решено]
Сноси Винду, переходи на Линукс ! :)